<?php

namespace App\Http\Controllers\Api;

use App\Address;
use App\Customer;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AddressController extends Controller
{

    public function storeAddress(Request $request)
    {

        try {
            if ($request->type == "delete") {
                $address = Address::find($request->address_id);
                $address->delete();
                return response()->json(array('error' => false, 'message' => 'address has been deleted successfully'));

            }


            $address = new Address;
            if ($request->address_id)
                $address = $address::find($request->address_id);
            else
                $address->customer_id = $request->user_id;


            $address->title = $request->title;
            $address->detail = $request->detail;
            $address->lat = $request->lat;
            $address->lng = $request->lng;
            $address->save();

            return response()->json(array('error' => false, 'message' => 'address stored successfully'));

        } catch (\Exception $e) {
            return response()->json(array('error' => true, 'message' => $e->getMessage()));
        }
    }


    public function getAddresses(Request $request)
    {
        try {

            \App\Http\Resources\Address::setRestaurantId($request->restaurant_id);


            $addresses = \App\Http\Resources\Address::collection(Customer::find($request->user_id)->addresses);

            return response()->json(array('addresses' => $addresses, 'error' => false, 'message' => 'address fetched successfully'));

        } catch (\Exception $exception) {
            return error_response($exception);
        }
    }


}
