<?php

namespace App\Http\Controllers\Api;

use App\Cuisine;
use App\Mail\MerchantCreated;
use App\Restaurant;
use App\RestCategory;
use App\User;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Str;
use phpDocumentor\Reflection\DocBlock\Tags\Uses;
use Yajra\DataTables\DataTables;
use App\Http\Controllers\Controller;


class RegistermerchantController extends Controller
{

    public function registerMerchant(Request $request)
    {

        try {

          $validator = Validator::make($request->all(), [
              'merchantEmail' => 'unique:users,email',
          ]);

          if ($validator->fails()) {
              flash('Merchant Email is already in use')->error();

              return redirect()->back();

          }


          $request_data = $request->all();
          //dd($request_data);
          $restaurant = Restaurant::create($request_data);

          if ($request->hasFile('image'))
              $restaurant->image = prospiral_store_file($request->image, "images/restaurant/logos");

          if ($request->hasFile('header_image'))
              $restaurant->header_image = prospiral_store_file($request->header_image, "images/restaurant/header_images");

          $restaurant->store_acronym();

          $restaurant->save();
          $restaurant->cuisines()->attach($request->cuisines);
          $restaurant->categories()->attach($request->restaurantCategories);

  //        $user = new


          try {
              $user = new User();
              $user->name = $request->merchantName;
              $user->email = $request->merchantEmail;
              $password = Str::random(8);
              $user->password = bcrypt($password);
              $user->restaurant_id = $restaurant->id;
              $user->save();

            //  Mail::to($user->email)->send(new MerchantCreated($user, $password));

              return response()->json(array('error' => false, 'message' => 'address stored successfully', 'restaurant'=>$restaurant,'user'=>$user));

          } catch (Exception $exception) {
              dd($exception);
          }




        } catch (\Exception $e) {
            return response()->json(array('error' => true, 'message' => $e->getMessage()));
        }
    }




}
