<?php

namespace App\Http\Controllers;

use App\Cuisine;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;

class CuisineController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {


        if (request()->ajax()) {
            return DataTables::of(Cuisine::select('id', 'name')->orderBy('id', 'desc')->get())
                ->addColumn('action', function ($cuisine) {

                    $delete_route = route('cuisines.destroy', ['cuisine' => $cuisine->id]);
                    $del_func = "onclick = deletenow('$delete_route')";
                    $cuisine_ = $cuisine->toJson();
                    $edit_func = "onclick = edit('$cuisine_')";
                    return "
                         <a $del_func  class='btn btn-danger btn-circle text-white'><i class='fas fa-trash'></i></a>
                        <a $edit_func  class='btn btn-primary btn-circle text-white'><i class='fas fa-edit'></i></a>

";
                })
                ->make(true);

        }
        return view('admin.cuisine.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.cuisine.create');
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        Cuisine::create($request->all());

        flash('Cuisine has been added successfully')->success();
        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param \App\Cuisine $cuisine
     * @return \Illuminate\Http\Response
     */
    public function show(Cuisine $cuisine)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param \App\Cuisine $cuisine
     * @return \Illuminate\Http\Response
     */
    public function edit(Cuisine $cuisine)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param \App\Cuisine $cuisine
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Cuisine $cuisine)
    {
        $cuisine->update($request->all());

        flash('Cuisine Updated Successfully')->success();
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\Cuisine $cuisine
     * @return \Illuminate\Http\Response
     */
    public function destroy(Cuisine $cuisine)
    {
        $cuisine->delete();
        flash('Cuisine Deleted Successfully')->error();
        return redirect()->back();
    }
}
