<?php

namespace App\Http\Controllers;

use App\Customer;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;

class CustomersController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        if (request()->ajax()) {
            return DataTables::of(Customer::select('id', 'name', 'email', 'phone')->orderBy('id', 'desc')->get())->addColumn('action', function ($customer) {

                $edit_route = route('customer.edit', ['customer' => $customer->id]);
                $delete_route = route('customer.destroy', ['customer' => $customer->id]);
                $del_func = "onclick = deletenow('$delete_route')";
                return " <a type='button' href='$edit_route' class='btn btn-info btn-circle btn-sm' title='edit restaurant'><i class='fas fa-edit'></i></a> <a type='button' href='#'  $del_func  class='btn btn-danger btn-circle btn-sm  delete-btn' data-route='$delete_route'  title='delete restaurant'><i class='far fa-trash-alt'></i></a>";
            })
                ->make(true);

        }
        return view('admin.customer.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param Customer $customer
     * @return \Illuminate\Http\Response
     */
    public function edit(Customer $customer)
    {
        return view('admin.customer.edit', compact('customer'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param Customer $customer
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Customer $customer)
    {
        $customer->update($request->all());
        flash('Customer Updated Successfully')->success();
        return redirect()->back();


    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Customer $customer)
    {
        $customer->delete();
        flash('Customer Deleted Successfully')->warning();
        return redirect()->back();

    }
}
