<?php

namespace App\Http\Controllers;

use App\RestCategory;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;

class RestCategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (request()->ajax()) {
            return DataTables::of(RestCategory::select('id', 'name')->orderBy('id', 'desc')->get())
                ->addColumn('action', function ($category) {

                    $delete_route = route('restaurant-categories.destroy', ['restaurant_category' => $category->id]);
                    $del_func = "onclick = deletenow('$delete_route')";

                    $category_ = $category->toJson();
                    $edit_func = "onclick = edit('$category_')";

                    return "
                         <a $del_func class='btn btn-danger btn-circle text-white'><i class='fas fa-trash'></i></a>
                        <a $edit_func  class='btn btn-primary btn-circle text-white'><i class='fas fa-edit'></i></a>


";
                })
                ->make(true);


        }
        return view('admin.restaurant_category.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public
    function create()
    {
        //
        return view('admin.restaurant_category.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public
    function store(Request $request)
    {
        //
        RestCategory::create($request->all());

        flash('Category has been added successfully')->success();
        return redirect()->back();


    }

    /**
     * Display the specified resource.
     *
     * @param \App\RestCategory $restCategory
     * @return \Illuminate\Http\Response
     */
    public
    function show(RestCategory $restCategory)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param \App\RestCategory $restCategory
     * @return \Illuminate\Http\Response
     */
    public
    function edit(RestCategory $restCategory)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param \App\RestCategory $restCategory
     * @return \Illuminate\Http\Response
     */
    public
    function update(Request $request, $id)
    {
        $restCategory = RestCategory::findOrFail($id);
        $restCategory->update($request->all());

        flash('Category Updated Successfully')->success();
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\RestCategory $restCategory
     * @return \Illuminate\Http\Response
     */
    public
    function destroy($restCategory)
    {

        $restCategory = RestCategory::findOrFail($restCategory);
        $restCategory->delete();
        flash('Category Deleted Successfullt')->error();
        return redirect()->back();
    }
}
