<?php

namespace App\Http\Controllers;

use App\Support;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Yajra\DataTables\DataTables;

class SupportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {

        if (request()->ajax()) {
            return DataTables::of(Support::select('id', 'name', 'email', 'phone')->orderBy('id', 'desc')->get())->addColumn('action', function ($support) {
                $detail_route = route('support.show', ['support' => $support->id]);

                $delete_route = route('support.destroy', ['support' => $support->id]);
                $del_func = "onclick = deletenow('$delete_route')";
                return "<a type='button' href='$detail_route' class='btn btn-primary btn-circle btn-sm' title='view Support message'><i class='fas fa-eye'></i></a>  <a type='button' href='#'  $del_func  class='btn btn-danger btn-circle btn-sm  delete-btn' data-route='$delete_route'  title='delete support message'><i class='far fa-trash-alt'></i></a>";
            })->rawColumns(['action'])
                ->make(true);

        }
        return view('admin.support_message.index');

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return Response
     */
    public function store(Request $request)
    {
    }

    /**
     * Display the specified resource.
     *
     * @param Support $support
     * @return Response
     */
    public function show(Support $support)
    {
        return view('admin.support_message.show', compact('support'));

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return Response
     */
    public function destroy(Support $support)
    {
        $support->delete();
        flash('Message Successfully')->warning();
        return redirect()->back();
    }
}
