<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class editRestaurant extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [
            'merchantName' => 'required',
            'name' => 'required',
            'restaurantCategories' => 'required',
            'description' => 'max:150|min:10',
            'avg_cost' => 'required|numeric',
            'cuisines' => 'required',
            'min_order_amount' => 'required|numeric',
            'phone' => 'required|numeric|digits:11',
            'address' => 'required|max:150',
            'image' => 'max:250',
            'header_image' => 'max:350',
            'monday_opening' => 'required',
            'monday_closing' => 'required',
            'tuesday_opening' => 'required',
            'tuesday_closing' => 'required',
            'wednesday_opening' => 'required',
            'wednesday_closing' => 'required',
            'thursday_opening' => 'required',
            'thursday_closing' => 'required',
            'friday_opening' => 'required',
            'friday_closing' => 'required',
            'saturday_opening' => 'required',
            'saturday_closing' => 'required',
            'sunday_opening' => 'required',
            'sunday_closing' => 'required',
            'city_id' => 'required',


        ];
    }
}
