<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class Order extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'restaurant_name' => $this->restaurant->name,
            'restaurant_address' => $this->restaurant->address,
            'restaurant_image' => $this->restaurant->image,
            'order_no' => $this->order_no,
            'payable_amount' => $this->payable_amount,
            'order_time' => $this->order_time,
            'status' => $this->status,
            'items' => OrderedItem::collection($this->items),
            'completed_at' => localTimeZone($this->completed_at)->format('l jS, h:i: A'),
            'order_type' => $this->order_type,
        ];
    }
}
