<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class OrderedItem extends Model
{

    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id');
    }

    public function item()
    {
        return $this->belongsTo(FoodItem::class, 'item_id');
    }

    public function variations()
    {
        return $this->hasMany(OrderedItemVariation::class, 'ordered_item_id');
    }


    public function storeVariations($item)
    {
        $variations = [];
        if (isset($item['variations']))
            $variations = $item['variations'];

        foreach ($variations as $variation) {

            foreach ($variation['options'] as $option) {

                if (isset($option['checked'])) {
                    if ($option['checked']) {

                        $itemVariation = new OrderedItemVariation();
                        $itemVariation->ordered_item_id = $this->id;
                        $itemVariation->title = $variation['title'];
                        $itemVariation->selected_option = $option['name'];
                        $itemVariation->price = $option['price'];
                        $itemVariation->save();
                    }

                }
            }
        }

    }


}
