<?php

namespace App\Providers;

use Illuminate\Support\Facades\Blade;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
        Schema::defaultStringLength(191);
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Blade::directive('edit_single_field', function ($route) {
            $patch = method_field('patch');
            $csrf = csrf_token();

            return "<div class='modal fade' id='edit_single_field_modal' tabindex='-1' role='dialog' aria-labelledby='exampleModalLabel'
         aria-hidden='true'>
        <div class='modal-dialog' role='document'>
            <div class='modal-content'>
                <form action='' class='edit-form' method='post'>
                $patch
 <input type='hidden' name='_token' id='tokk' value='$csrf'>
                    <div class='modal-header'>
                        <h5 class='modal-title' id='exampleModalLabel'>Edit</h5>
                        <button type='button' class='close' data-dismiss='modal' aria-label='Close'>
                            <span aria-hidden='true'>&times;</span>
                        </button>
                    </div>
                    <div class='modal-body'>
                        <div class='form-group'>
                            <label>Name</label>
                            <input type='text' name='name'  class='form-control name_field' autofocus >
                        </div>


                    </div>
                    <div class='modal-footer'>

                        <button type='submit' class='btn btn-success btn-icon-split float-right'>
                            <span class='text font-weight-bold'>Update</span>
                            <span class='icon text-white'><i class='fas fa-arrow-right'></i></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    
    <script >
     edit_route = $route
           function edit(food_cat) {
         
            food_cat = JSON.parse(food_cat);
            edit_route = edit_route + '/'+food_cat.id;
            $('.edit-form').attr('action',edit_route);
            $('.name_field').val(food_cat.name);
            $('#tokk').val('$csrf');
            $('#edit_single_field_modal').modal('toggle');


           }
</script>
    
    
    ";
        });


    }
}
