<?php

//namespace App\helpers;

use Carbon\Carbon;

if (!function_exists('prospiral_store_file')) {
    function prospiral_store_file($file, $location)
    {
        if (!$location)
            return null;
        $fileName = time() . '.' . $file->getClientOriginalExtension();
        $testa = $file->move(public_path($location), $fileName);
        $testa = $testa->getFilename();

        return "$location/$testa";
    }
}


if (!function_exists('prospiral_paginate')) {
    function prospiral_paginate($collection)
    {
        if (!$collection)
            return null;

        return array(
            'next_page_number' => $collection->hasMorePages() ? ($collection->currentPage() + 1) : null,
            'has_more_page' => $collection->hasMorePages(),
            'last_page_number' => $collection->lastPage(),
            'count' => $collection->count());

    }
}


if (!function_exists('error_response')) {
    function error_response($exception)
    {

        return response()->json(array('error' => true, 'message' => "{$exception->getMessage()} on line {$exception->getLine()} "));

    }
}


if (!function_exists('localTimeZone')) {
    /**
     * @param $date
     * @param string $zone
     * @return Carbon
     */
    function localTimeZone($date, $zone = 'Asia/Dubai')
    {

        return Carbon::parse($date)->setTimezone($zone);

    }
}
