<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFoodItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('food_items', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name');
            $table->string('description')->nullable()->default(null);
            $table->integer('food_type');
            $table->string('image')->nullable()->default('images/restaurants/food_items/default.jpg');
            $table->double('price');
            $table->integer('restaurant_id');
            $table->integer('menu_section_id')->nullable()->default(null);
            $table->integer('menu_sub_section_id')->nullable()->default(null);
            $table->tinyInteger('deal')->nullable()->default('0');
            $table->tinyInteger('active')->default('1');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('food_items');
    }
}
