<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('order_no')->nullable()->default(null);
            $table->integer('customer_id');
            $table->integer('restaurant_id');
            $table->integer('address_id')->nullable()->default(0);
            $table->string('phone')->nullable()->default(null);
            $table->string('status')->default('pending');
            $table->string('payment_method');
            $table->string('lng')->nullable()->default(null);
            $table->string('lat')->nullable()->default(null);
            $table->string('additional_address')->nullable()->default(null);
            $table->string('order_time')->nullable()->default(null);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
