<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CrateFoodVariationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('food_variations', function (Blueprint $table) {

            $table->bigIncrements('id');
            $table->unsignedBigInteger('food_item_id');
            $table->string('type')->default('mandatory');
            $table->string('title');
            $table->foreign('food_item_id')->references('id')->on('food_items')->onDelete('cascade');
            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('food_variations');
    }
}
