<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFoodVariationOptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('food_variation_options', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('food_variation_id');
            $table->string('title');
            $table->float('price', 8, 2)->default(0);
            $table->foreign('food_variation_id')->references('id')->on('food_variations')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('food_variation_options');
    }
}
