<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrderedItemVariationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ordered_item_variations', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('ordered_item_id');
            $table->string('title');
            $table->string('selected_option');
            $table->float('price', 8, 2)->default(0)->nullable();
            $table->foreign('ordered_item_id')->references('id')->on('ordered_items')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ordered_item_variations');
    }
}
