<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Foody Code Admin- Login</title>

    <!-- Custom fonts for this template-->
    <link href="{{asset('/vendor/fontawesome-free/css/all.min.css')}}" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{{asset('/css/sb-admin-2.css')}}" rel="stylesheet">
    <style>
    .logo-wrapper {
      width: 200px;
      height: auto;
      margin: 0 auto;
    }
    </style>

</head>

<body class="bg-gradient-dark">

    <div class="container">


        <!-- Outer Row -->
        <div class="row justify-content-center">

            <div class="col-xl-10 col-lg-12 col-md-9">

                <div class="card o-hidden border-0 shadow-lg my-5">
                    <div class="card-header">
                        <div class="logo-wrapper">
                            <img src="{{asset('/img/foodycode-logo.svg')}}" class="img-fluid" alt="">
                        </div>
                    </div>
                    <div class="card-body p-0">
                        <!-- Nested Row within Card Body -->
                        <div class="row">
                            <div class="col-lg-3 d-none d-lg-block"></div>
                            <div class="col-lg-6">
                                <div class="p-5">
                                    <div class="text-center">
                                        <h1 class="h4 text-gray-900 font-weight-bold text-uppercase" style="letter-spacing: 1.5px;">Welcome Back!</h1>
                                        <p class="small mb-4">Enter your email and password to start your session.</p>
                                    </div>

                                    @if ($errors->any())
                                    <div class="alert alert-danger p-1">
                                        <ul class="mb-0">
                                            @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                    @else
                                    @if(old('email'))
                                    <div class="alert alert-danger text-capitalize">
                                        Wrong email or password
                                    </div>
                                    @endif
                                    @endif

                                    <form class="user" action="{{route('admin.auth.loginAdmin')}}" method="post">
                                        @csrf
                                        <div class="form-group">
                                            <input class="form-control form-control-user" id="email"
                                                aria-describedby="email" placeholder="Enter Email Address..."
                                                name="email" value="{{ old('email') }}">


                                        </div>
                                        <div class="form-group">
                                            <input type="password" class="form-control form-control-user" id="password"
                                                placeholder="Password" name="password">
                                        </div>
                                        <div class="form-group">
                                            <div class="custom-control custom-checkbox small">
                                                <input type="checkbox" class="custom-control-input" id="customCheck"
                                                    name="remember" value="on" {{ old('remember') ? 'checked' : '' }}>
                                                <label class="custom-control-label" for="customCheck">Remember
                                                    Me</label>
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn-success btn-user btn-block font-weight-bold">LOGIN</button>

                                    </form>
                                    <hr>
                                    <div class="text-center">
                                        <a class="small" href="#">Forgot Password?</a>
                                    </div>

                                </div>
                            </div>
                            <div class="col-lg-3 d-none d-lg-block"></div>
                        </div>
                    </div>
                </div>

            </div>

        </div>

    </div>

    <script src="{{asset('/vendor/jquery/jquery.min.js')}}"></script>
    <script src="{{asset('/vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{{asset('/vendor/jquery-easing/jquery.easing.min.js')}}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{{asset('/js/sb-admin-2.js')}}"></script>
</body>

</html>
