@extends('admin.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <!-- Page Heading -->
            <h1 class="h3 mb-4 text-gray-800">
                <i class="fas fa-utensils"></i>
                Edit Customer
            </h1>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
                            <li class="breadcrumb-item"><a href="{{route('customer.index')}}">Customer</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Create</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Edit Customer Details</h6>
                        </div>
                        <div class="card-body">
                            <form action="{{route('customer.update',['customer'=>$customer->id])}}"
                                  enctype="multipart/form-data" method="post">

                                @method('patch')
                                @csrf
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Name</label>
                                            <input type="text" name="name" id="name"
                                                   value="{{$customer->name}}"
                                                   class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input type="email" name="email" id="email"
                                                   value="{{$customer->email}}"
                                                   readonly
                                                   class="form-control">
                                        </div>
                                    </div>
                                </div>


                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Phone</label>
                                            <input type="number" name="phone" id="phone" class="form-control"
                                                   value="{{$customer->phone}}">
                                        </div>
                                    </div>

                                </div>

                                <button type="submit" class="btn btn-success btn-icon-split float-right my-4">
                                    <span class="text font-weight-bold">Update</span>
                                    <span class="icon text-white"><i class="fas fa-arrow-right"></i></span>
                                </button>
                            </form>
                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


@endsection


@section('scripts')

    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBV68ITzQRel6iDKUCvMzGHh9YyPO5jlGw&libraries=places">
    </script>

    <script type="text/javascript" src="{{ asset('vendor/jsvalidation/js/jsvalidation.js')}}"></script>
    {!! JsValidator::formRequest('App\Http\Requests\editRestaurant') !!}



@endsection
