@extends('admin.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <!-- Page Heading -->
            <h1 class="h3 mb-4 text-gray-800">
                <i class="fas fa-utensils"></i>
                Add Menu Item
            </h1>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
                            <li class="breadcrumb-item"><a href="{{route('food-item.index')}}">Food Items</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Edit</li>
                        </ol>
                    </nav>
                </div>
            </div>


            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Add Menu Item Details</h6>
                        </div>

                        <menu-item-form-edit


                            :food_item_data="'{{ json_encode($foodItem) }}'"
                            :variation_data="'{{ json_encode($variations) }}'">

                        </menu-item-form-edit>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


    <!-- Section Modal -->
    <div class="modal fade" id="sectionModal" tabindex="-1" role="dialog" aria-labelledby="sectionModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="{{route('food-section.store')}}" method="post">
                    @csrf
                    {{--                    <input type="hidden" name="restaurant_id" value="{{$restaurant->id}}">--}}
                    <div class="modal-header">
                        <h5 class="modal-title" id="sectionModalLabel">Add Menu Section</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">

                        <div class="form-group">
                            <label>Section Name</label>
                            <input type="text" name="name" id="sectionName" class="form-control">
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success btn-sm">Submit Section</button>
                    </div>
                </form>

            </div>
        </div>
    </div>



@endsection

