@extends('admin.layouts.master')
@section('head')

    <style>
        .table tbody tr td:first-child {
            font-weight: bold;
            text-transform: capitalize;
        }

        .image-holder {
            width: 200px;
            height: 200px;
        }
    </style>

@endsection
@section('content')

    <div id="app">
        <div class="container-fluid">

            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="fas fa-hamburger"></i>
                        Merchant Request Detail
                    </h1>
                </div>

            </div>
            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
                            <li class="breadcrumb-item"><a href="{{route('merchant_request.index')}}">Merchant
                                    Requests</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Merchant request Detail</li>
                        </ol>
                    </nav>
                </div>
            </div>
            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Merchant Request Detail</h6>
                        </div>
                        <div class="card-body">

                            <table class="table table-striped">
                                <tbody>
                                <tr>
                                    <td width="20%">Name:</td>
                                    <td width="80%">{{$merchant_request->name}}</td>
                                </tr>
                                <tr>
                                    <td width="20%">Email:</td>
                                    <td width="80%">{{$merchant_request->email}}</td>
                                </tr>


                                <tr>
                                    <td width="20%">Phone:</td>
                                    <td width="80%">{{$merchant_request->phone}}</td>
                                </tr>


                                <tr>
                                    <td width="20%">Restaurant Name:</td>
                                    <td width="80%">{{$merchant_request->restaurant_name}}</td>
                                </tr>


                                <tr>
                                    <td width="20%">Phone:</td>
                                    <td width="80%">{{$merchant_request->restaurant_address}}</td>
                                </tr>


                                <tr>
                                    <td width="20%">Date and Time</td>
                                    <td width="80%">{{localTimeZone($merchant_request->created_at)->toDayDateTimeString()}}</td>
                                </tr>

                                </tbody>
                            </table>

                        </div>
                    </div>

                </div>

            </div>

        </div>
    </div>


@endsection
