@extends('merchant.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="fas fa-hamburger"></i>
                        Food Item
                    </h1>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('merchant.food-item.create')}}" class="btn btn-success btn-icon-split float-right">
                        <span class="text font-weight-bold">Create Food Item</span>
                        <span class="icon text-white"><i class="fas fa-plus"></i></span>
                    </a>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Food Item</a></li>
                            <li class="breadcrumb-item active" aria-current="page">View</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Food Item List</h6>
                        </div>
                        <div class="card-body">
                            {{--                        <restaurants-list></restaurants-list>--}}

                            <table class="table table-striped table-bordered w-100" id="food-item-table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Active</th>
                                    <th>Action</th>


                                </tr>
                                </thead>
                            </table>

                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->


@endsection
@section('head')

    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">

@endsection
@section('scripts')






    <script src="https://cdn.datatables.net/1.10.7/js/jquery.dataTables.min.js"></script>





    <script>

        $(function () {
            $('#food-item-table').DataTable({
                processing: true,
                serverSide:
                    true,
                ajax:
                    '{{ route('merchant.food-item.index') }}',
                columns:
                    [
                        {data: 'id', name: 'id'},
                        {data: 'name', name: 'name'},
                        {data: 'active', name: 'active'},
                        {data: 'action', name: 'action'},


                    ]
            });
        });

        $('body').on('change', '.active-item', function () {
            let status = $(this).is(':checked');
            let id = $(this).data('id');
            axios.post('/food-item/change-status', {
                status: status,
                id: id
            }).then((res) => console.log(res));

        });

    </script>


@endsection
