@extends('merchant.layouts.master')

@section('content')

    <!-- End of Topbar -->
    <div id="app">
        <!-- Begin Page Content -->
        <div class="container-fluid">


            <div class="row">
                <div class="col-sm-4">
                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">
                        <i class="far fa-list-alt"></i>
                        Orders
                    </h1>
                </div>

            </div>

            <div class="row">
                <div class="col-sm-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Orders</a></li>
                            <li class="breadcrumb-item active" aria-current="page">View</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">

                <div class="col-sm-12">

                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Orders List</h6>
                        </div>
                        <div class="card-body">


                            <table class="table table-striped table-bordered w-100" id="orders-table">
                                <thead>
                                <tr>
                                    <th>Order #</th>
                                    <th>Restaurant Name</th>
                                    <th>Status</th>
                                    <th>Actions</th>


                                </tr>
                                </thead>
                            </table>

                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </div>

    <!-- End of Main Content -->

    {{-- detail modal --}}

    <order-detail></order-detail>


    {{-- /detail modal --}}

@endsection
@section('head')

    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">

@endsection
@section('scripts')


    <script src="https://cdn.datatables.net/1.10.7/js/jquery.dataTables.min.js"></script>

    <script>
        var ordes_table;
        $(function () {
            ordes_table = $('#orders-table').DataTable({
                processing: true,
                serverSide: true,
                ajax: '{{route('merchant.order.history')}}',
                columns: [{
                    data: 'order_no',
                    name: 'order_no',
                    orderable: false
                },
                    {
                        data: 'restaurant_name',
                        name: 'restaurant_name'
                    },
                    {
                        data: 'status',
                        name: 'status'
                    },
                    {
                        data: 'actions',
                        name: 'actions'
                    },


                ]
            });


        });

    </script>


@endsection





